---
search:
  tags:
    - users
    - GET
seo:
  description: >-
    List the service grants of a user. Reference for the GET
    /api/v1/users/{id}/service-grants endpoint in the TimescaleDB Enterprise
    API.
  noindex: true
sidebar:
  label: List a user's grants
  badge: GET
title: List a user's grants
type: openapi-operation
---
List the service grants of a user.

`GET /api/v1/users/{id}/service-grants`

**Responses**

- `200` — OK
- `default` — Error

Response example, 200:

```json
[
  {
    "created_at": "2019-08-24T14:15:22Z",
    "created_by": "string",
    "role": "viewer",
    "service_id": "string",
    "service_name": "string"
  }
]
```
